MONGOC_URI_SET_COMPRESSORS(3)

NAME
mongoc_uri_set_compressors - mongoc_uri_set_compressors()

SYNOPSIS

        bool
        mongoc_uri_set_compressors (mongoc_uri_t *uri, const char *compressors);

PARAMETERS

    •   uri: A mongoc_uri_t.

    •   compressors: A string consisting of one or more comma (,) separated compressors (e.g. "snappy,zlib") or NULL. Passing NULL clears any existing compressors set on uri.

DESCRIPTION

Sets the URI's compressors, after the URI has been parsed from a string. Will overwrite any previously set value.

EXAMPLE

        mongoc_client_t *client;
        mongoc_uri_t *uri;

        uri = mongoc_uri_new ("mongodb://localhost/");
        mongoc_uri_set_compressors (uri, "snappy,zlib,zstd");
        mongoc_client_new_from_uri (uri);
        /* Snappy & zlib & zstd compressors are enabled */

RETURNS

Returns false if the option cannot be set, for example if compressors is not valid UTF-8. Logs a warning to stderr with the MONGOC_WARNING macro if compressor is not available.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc